Page MenuHomePhabricator

Item structure for new Plagiabot interface
Closed, ResolvedPublic5 Story Points

Description

Each item on the interface has the following elements; see the wireframe below. There are five "columns" with information (not actually a table, but lined up as columns).

Page: Article title, history link
Edit: Diff link, timestamp of edit
Editor: User name, contribs link, user talk link, edit count -- (if the user page and/or user talk page is a redlink, display it as red)
WikiProjects: A bubble for each WikiProject, listed alphabetically
Review: Page fixed button, No action needed button

Event Timeline

DannyH created this task.Apr 16 2016, 12:31 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 16 2016, 12:31 AM
DannyH updated the task description. (Show Details)May 5 2016, 11:40 PM
DannyH updated the task description. (Show Details)
DannyH added a subscriber: Niharika.
DannyH set the point value for this task to 5.
Niharika moved this task from Ready to In Development on the Community-Tech-Sprint board.

This is done, except for

Reviewed by username, timestamp of review (if item is reviewed)

I somehow missed this when originally estimating the task. This is blocked on two things:

  1. OAuth integration
  2. Storing the reviewer and timestamp of review in database (we'd either have to modify existing Plagiabot db or have our own)

I propose creating another ticket specifically for this and estimating it separately and marking this task as Done.

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptMay 18 2016, 8:54 PM
kaldari closed this task as Resolved.May 20 2016, 9:59 PM
kaldari updated the task description. (Show Details)
kaldari moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.
MusikAnimal moved this task from Backlog to Done on the CopyPatrol board.Dec 6 2016, 5:25 AM